QGIS Application - Bug report #16593
Segmentation fault when importing CSV file with coordinates
2017-05-22 11:22 AM - Filippo Bistaffa

Status: Closed

Priority: High

Assignee:

Category: Data Provider/Delimited Text

Affected QGIS version:2.18.8 Regression?: Yes
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corruptsdata: Copied to github as #: 24495
Description

Latest version of QGIS crashes (with a segmentation fault) when | try to import a simple CSV file in the form
"Longitude","Latitude"

-73.990371704101563,40.734695434570313
-73.980781555175781,40.729911804199219

Notice that doing the same action with the same CSV didn't crash QGIS in older versions (so I'm assuming the CSV itself is OK).

Related issues:

Related to QGIS Application - Bug report # 16680: Layers Panel: adding a laye... Closed 2017-06-07
Duplicated by QGIS Application - Bug report # 16613: QGIS crashes on add layer Closed 2017-05-24
Duplicated by QGIS Application - Bug report # 16611: Cannot create Virtual Layer Closed 2017-05-24
Duplicated by QGIS Application - Bug report # 16594: WFS crashing QGIS on 2.18.8 Closed 2017-05-22
Duplicated by QGIS Application - Bug report # 16598: Adding PostGIS layers fr... Closed 2017-05-22
Duplicated by QGIS Application - Bug report # 16612: QGIS crashes when adding... Closed 2017-05-24

Associated revisions

Revision 403dc35d - 2017-05-22 09:43 PM - Jiirgen Fischer

don't set friendly name without sublayers (followup e0a2267; fixes #16593, #16594, #16598)

Revision b5cd5ee8 - 2017-05-22 09:49 PM - Jiirgen Fischer

don't set friendly name without sublayers (followup e0a2267; fixes #16593, #16594, #16598)

(cherry picked from commit 403dc35dac30499c3954b732e4e8a642bfd475d8)

Revision d19ed1c6 - 2017-07-05 06:50 PM - Jiirgen Fischer

Only convert geometries to provider type when provider does strict type checking (ie. not for shapes; fixes #16593, #16784, #16792, #16770, followup
53d90b547)

Revision ecae3c95 - 2017-07-05 07:08 PM - Jiirgen Fischer

Only convert geometries to provider type when provider does strict type checking
(ie. not for shapes; fixes #16593, #16784, #16792, #16770;
followup 87116abd72; forward ported from d19ed1c6)

History

#1 - 2017-05-22 12:14 PM - Giovanni Manghi
- Status changed from Open to Feedback

- Priority changed from Normal to High

- Regression? changed from No to Yes

Can you attach a CSV that is causing the issue?

#2 - 2017-05-22 03:14 PM - Filippo Bistaffa
- File 10.csv added

Here's an example CSV that makes my QGIS crash.

#3 - 2017-05-22 04:30 PM - Giovanni Manghi

- Operating System deleted (Ubuntu 16.04 x64)

- Affected QGIS version changed from master to 2.18.8

- Status changed from Feedback to Open

- Category changed from Actions to Data Provider/Delimited Text

#4 - 2017-05-22 09:46 PM - Jiirgen Fischer

- Status changed from Open to Closed
- % Done changed from 0 to 100

Applied in changeset commit:qgis|403dc35dac30499c3954b732e4e8a642bfd475d8.

#5 - 2017-05-24 05:36 PM - Jiirgen Fischer

- Duplicated by Bug report #16613: QGIS crashes on add layer added

#6 - 2017-05-24 07:03 PM - Jiirgen Fischer
- Duplicated by Bug report #16611: Cannot create Virtual Layer added

#7 - 2017-05-24 07:04 PM - Jiirgen Fischer
- Duplicated by Bug report #16594: WFS crashing QGIS on 2.18.8 added

#8 - 2017-05-24 07:05 PM - Jiirgen Fischer

- Duplicated by Bug report #16598: Adding PostGIS layers from the browser or DB-Manager crashes QGIS (mini-dump) added

#9 - 2017-05-26 01:46 PM - Jiirgen Fischer

- Duplicated by Bug report #16612: QGIS crashes when adding PostGIS layers from Browser panel added

#10 - 2017-06-09 08:07 AM - Jiirgen Fischer

- Related to Bug report #16680: Layers Panel: adding a layer doesn't simply show its name added
Files

10.csv 371 Bytes 2017-05-22 Filippo Bistaffa
